Subject: [PATCH 15/20] ASoC: fsl: make fsl_ssi driver compilable on ARM/IMX

From: [email-masked] (Tabi Timur-B04825)
Date: Sun, 4 Mar 2012 23:32:50 +0000

Russell King - ARM Linux wrote:
> Is the SCR shared between capture and playback?  In that case, what
> makes this read-modify-write thread safe?

What's "SCR"?

It's not thread-safe on PPC, but then neither is the entire function.  You 
can't have two threads attempt to initialize the hardware at the same 
time.  The macro does not attempt to be atomic, just convenient.

-- 
Timur Tabi
Linux kernel developer at Freescale